Package org.eclipse.emf.cdo.net4j

# Class CDONet4jViewProvider.SSL

java.lang.Object
org.eclipse.emf.cdo.view.AbstractCDOViewProvider
org.eclipse.emf.cdo.net4j.CDONet4jViewProvider
org.eclipse.emf.cdo.net4j.CDONet4jViewProvider.SSL

All Implemented Interfaces:
  `CDOViewProvider`, `CDOViewProvider.CDOViewProvider2`

Enclosing class:
  CDONet4jViewProvider

public static class CDONet4jViewProvider.SSL extends CDONet4jViewProvider
An SSL-based `view provider`.

Author:
  Teerawat Chaiyakijpichet (No Magic Asia Ltd.)

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

`CDONet4jViewProvider.JVM, CDONet4jViewProvider.SSL, CDONet4jViewProvider.TCP, CDONet4jViewProvider.WS`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

`CDOViewProvider.CDOViewProvider2`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

`transport`

### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`SSL()`
`SSL(int priority)`

## Method Summary

### Methods inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

`createURIData, getConnector, getConnectorDescription, getContainer, getNet4jSession, getNet4jSessionConfiguration, getPath, getResourceURI, getResourceURI, getSession, getSessionConfiguration, getURIAuthority, getView, getViewURI`

### Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider

`getActualName, getDeclaredName, getPriority, getRegex, getViewURI, matchesRegex, schemeRegex, setPriority, setRegex, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SSL

public SSL(int priority)

### SSL

public SSL()